import java.util.ArrayList;

/**
 * The class Order is an object class that holds the constructor for order objects.
 *
 * @author Sabine Gubitz
 * @version 1.2
 */

public class Order {
    String date; //date for the meal, not the day it was ordered
    String user; //phone number of the user account
    String mealtype; //meat, vegi or vegan
    String desserttype; //desert or vegan desert

    Order (String date, String user, String mealtype, String desserttype)
    {
        this.date = date;
        this.user = user;
        this.mealtype = mealtype;
        this.desserttype = desserttype;
    }

    @Override
    public String toString(){
        return date+";"+user+";"+mealtype+";"+desserttype;
    }

    /**
     * The Method create PDF is used to create a PDF document of the daily orders as well as the bills for each user
     *
     * This Method uses PDF Clown, the source code can be found at http://www.pdfclown.org
     * PDF Clown is covered by LGPL, a copy of the LGPL can be found withing the documentation
     *
     * @param pathWrite determines which document should be created
     * @param listToWrite determines the list which is to be used to create the document
     * @author Sabine Gubitz
     */

    public void createPDF (String pathWrite, ArrayList<String> listToWrite) {
        if (pathWrite.equals("users.pdf")) {

        } else if (pathWrite.equals("bills.pdf")) {

        }
    }
}
